2014-06-25 2.4发布
产品详情的相册缩略图鼠标改为手型
后台博客列表增加按照类目浏览功能
后台产品列表增加按照类目浏览功能
后台文章列表增加按照类目浏览功能
蝉知在新版本的火狐下面导航展开不对。
调产品详情页面的封面图片的大小。
产品显示点击量字段。
论坛版块描述支持标签
修复删除第一个链接按钮保存bug
升级的时候处理站点类型，如果为空的话，设成portal。
面包屑里面的类目应当显示别名
树状列表的图标没有了。
调整对话框的默认样式
区块增加更多链接
修改保存区块的逻辑
调整文章的来源字段
修改打包脚本，把ie8相关的js脚本打包成一个ie8.js
修改打包脚本，将treeview.js和treeview.css打包到all.css和all.js中
将前台每个列表页面默认记录数做成配置
附件列表不再显示编辑器上传的图片
回复页面的头像主题修改。
去掉论坛主题里面p标记的margin
调整蝉知系统默认的字体大小
幻灯按钮可以设置通用的。不用每个幻灯都加。 
页面布局的时候全部页面，修改区域名称
zui里面去掉p标记的margin
修复区块设置中图标显示不全bug
减少了布局中列与列之间的间距
导航设置默认折叠起来
版块编辑器增加源代码标签
版块的描述字段长度调成text类型。
版主判断身份的时候首尾加逗号。
文章的来源显示调整
编辑器上传附件使用现有的图片时，需要处理缩略图
调整前台首页友情链接的样式
留言和评论提示需要审核之后才会通过。
幻灯功能2.3版本调整
重新梳理蝉知的演示站点
通过之前评论时，留言也会被通过
通过之前或者删除之前的留言评论，需要增加时间限制
后台删除主题或者回帖的时候要给予确认
前台主题的维护选项增加转移功能
检查www.docker.org.cn网站的QQ接入的问题。  
增加logo删除功能
调整论坛发贴页面验证码的样式

2014-05-16 2.3发布
博客页面添加应当增加对所有页面区块的支持
解决文章详情页面微博推广按钮不删除验证代码就不能显示问题
解决宽屏主题登录注册按钮不显示问题
解决部署在二级目录时微信的接入地址的bug
解决后台的用户列表中重复显示的bug
修复新浪会员链接
单页可以控制页面的布局
优化时间显示，去除00:00的显示
文章的来源增加翻译选项
二维码的图片缩小了一些
后台设置开放登录的图标用亮色的。
删除zepto.js文件
调整蝉知默认的字体的大小
留言的图标采用亮色的
增加检查更新的功能
安装升级界面添加蝉知协议
版块设置别名的时候应当检查是否是以下划线或者字母开头
论坛后台的回帖链接应当新开页面
个人中心我的主题里面，最新回帖显示真实姓名
论坛发贴的时候，判断所属版块是否存在且可读
论坛版块列表页面的版主显示真实姓名
管理员或者版主身份在前台显示的时候应当给予标识
论坛增加帖子转移功能
后台单独增加一个首页关键词的设置
升级程序需要处理之前的站点描述信息，将html标签去掉
产品购买链接新窗口打开
提供了iis下面的重写规则
头部区域的logo，站点口号，登录注册也用区块显示
整理英语下面的翻译
首页布局调整，使之能显示最新产品
编辑器里面的图片库，文件库可以从我们附件表里面选择。
对于禁用的会员，希望后台可以增加解除禁用功能
公司简介区块更多链接放在标题右侧
文章列表显示的条目数可自己设置。
站点增加类型设置，可以选择企业门户或者个人门户
幻灯文字和图片给予提示
幻灯可以有多个按钮
每一个幻灯都可以指定文字的颜色和背景色
幻灯可以使用纯色来实现
实现产品自定义属性功能
解决一键安装包qq开放登录的问题。

2014-03-31 2.2.1发布
调整评论页面的文案。
联系我们页面增加二维码展示。 
密码错误触发锁定次数增加到5次，禁用时间缩短到3分钟。
后台留言列表页面的评论添加所属博客的链接。
会员管理页面添加微博和qq会员的显示。
修改在线QQ的连接。
把oauth类的get方法去掉file_get_contents方式，只用CURL方式。
解决php magic_quotes_gpc 打开时中文内容存储失败的bug。

2014-03-24 2.2发布
后台设置logo页面调整
论坛帖子用户信息调整
调整反馈，将留言、评论、主题、回帖，将其集中在一起。
添加微信公众号接入功能
添加公众号会员查看功能
添加公众号消息管理功能
添加公众号菜单、关键字、订阅回复、默认回复的管理功能
新增宽屏主题
前台添加微信公众号和手机访问二维码显示
禁止百度自动转码。

2014-03-03 2.1发布
如果公司没有写创建年份的话，去掉copyright里面的-号
调整联系我们区块左侧文字的宽度
论坛帖子最后编辑者改为真实姓名
关于我们页面使用区块把联系我们放在右侧
批量维护手册章节的时候添加发布时间
编辑手册文章的时候增加发布时间的字段
重新调整h1-h6标签的字体大小
解决置顶帖子用户姓名问题
修改版权提示的格式
修复分页的bug
幻灯排序在ie10下面有问题。
修复ie10下面蓝色风格的问题
图文新闻和图文产品样式需要重新调整下
首页的新闻列表应当显示日期
精简文章详情页面的上一篇下一篇的导航文字
调整p标签的margin
调整留言页面回复内容的缩进和字体大小
调整默认风格留言页面的导航颜色
优化移动版本头尾的处理
解决切换方案之后缩进问题
已登录用户发表评论和留言的时候，应当取其真实姓名
管理员身份回帖的时候应当使用全编辑器
论坛帖子发贴框的宽度调整。把只读放在后面。
调整论坛列表页面各列的宽度
以管理员身份发表评论或者留言，默认状态为通过。
后台管理员回复一篇评论或留言之后，默认将其状态改为通过
修改邮箱默认配置，将腾讯邮箱默认改为465
如果发贴用户已被删除，帖子列表页面的最后回复取用户名
论坛出现版主的地方也都显示真实姓名
将user模块的getRealName()方法改为getRealNamePairs()
把style:width的写法换掉
单页在站点地图里面
调整模拟的alert和confirm框的样式
记录图片附件的尺寸，输出的时候写入到data-width data-hegiht标签里面
论坛的用户注册和登录日期显示友好信息
论坛帖子列表的时候显示用户的真实姓名
页面布局的时候可以设置区块是否显示标题、边框
留言者要区分是否是登录用户
论坛的板块设置提示需要二级板块
调整下区块首页底部的命名，改为中部。
调整文章，产品无类目时的交互方式
重置密码功能把resetKey，resetTime合成一个字段
论坛控制图片大小

2014-01-11 2.0.1发布
博客列表应该显示文章的作者，评论数，阅读数。
论坛帖子列表页面显示版主和最后回复realname
后台管理员allowtags增加style
解决ie9验证码显示BUg
自定义区块直接显示标题和边框
返回顶部按钮样式调整
编辑手册文章时候编辑器要放大。
友情链接功能编辑器使用full菜单。
区块里面的页面也改成单页
描述里面的内容被specialchars处理了，升级之后需要处理这个数据。
别名里面的.也被换成了-
后台文章列表时类目宽度调宽，可以显示两个类目的宽度。
文章里面的h4标题太大了。调整h标签的大小
文章详情和摘要之间的间距有些太大啦。
编辑器里面标签的换行符去掉。
编辑器里面p标记的的间距去掉。前台的p标记的样式也都去掉。
文章图片幻灯切换的箭头去掉背景的阴影
ie8下面的幻灯文字尺寸位置不对。点击切换按钮的那个虚线去掉。
博客列表图片大小限制
文章列表里面的图片宽度和高度控制下
论坛控制图片大小
后台公司联系方式增加联系人字段
重置密码功能把resetKey，resetTime合成一个字段
解决二级路径安装的访问问题
站点描述不应该使用富文本编辑器。
验证码如果数字为0的时候，还是验证不通过
将导航条里面订阅移至右侧，放在区块里面，默认显示。
区块列表里面的最新产品标题和价格应当换行
产品列表的分页导航应当显示精简的记录
sitemap里面去掉CDATA，&替换成&amp;
蓝色风格下面首页最新动态，最新文章的更多看不到了。
文章，博客，单页，产品里面的关键词链接颜色去掉。
为蝉知org网站配置发信参数
测试发信如果管理员没有设置邮箱的话，没有测试发信功能。
logo提示尺寸
分享按钮样式对齐
reset邮件内容挪到模板里面
修复编辑文章时候发布时间变成编辑时间的bug
优化附件图片幻灯片获取图片尺寸功能
修改首页title规则

2014-01-01 2.0发布

UI框架从Bootstrap转到ZUI
新增单页、论坛、留言、博客区块管理功能
解决了导航、评论等功能的bug
UI改进

2013-13-14 1.8发布

添加留言功能
添加文章草稿功能
添加favicon管理功能
添加源代码区块功能
非编辑器表单提交内容自动过滤HTML
添加附件编辑功能
重构手册模块
重构论坛相关程序
UI改进

2013-11-22 1.7发布

添加区块功能
添加修改后台默认地址提示
添加favicon管理功能
添加产品购买链接
添加图片压缩功能
添加功能模块管理功能
编辑器上传图片保存到附件表
UI改进


2013-11-03 1.6发布

添加站点地图功能
添加关键词权重和链接管理功能
新增内容关键词自动添加链接功能
添加友情链接功能
修复帮助文档章节号显示错误
文章、产品展示页面添加上一条下一条链接
UI改进

2013-10-21 1.5发布

改进了url规则，访问更加友好。
改进了浏览器的兼容性
新增第三方登录功能
添加了风格主题切换功能，新增四套风格主题
UI改进

2013-09-29 1.4发布

主菜单、登录、注册、博客等页面调整
添加了英文版和繁体版的语言翻译，现在英文版浏览器访问即可显示英文版界面。
新增扩展体系，蝉知的扩展体系能全面的定制系统的功能，不仅局限在模板样式的的定制。稍候会发布蝉知定制说明文档。
修改后台帮助功能，优化了帮助的管理功能，比之前更清晰方便。
修改了子文件夹方式安装系统，logo不能上传的bug.
调整了编辑器的显示样式，默认字体调成跟前台一致的14px，减少源代码模式下的缩进。

2013-09-16 1.3发布

调整了系统目录结构 
新增帮助模块 
新增博客模块 
导航添加打开窗口设置功能 
首页添加产品信息展示 
修复一些bug 
改了一些UI

2013-08-27 1.2 发布

新增产品功能 
bootstrap 升级到3.0 
修复会员资料编辑不能修改密码bug 
修复后台导航管理模块不显示二级导航bug 
控制了论坛图片的最大宽度，避免页面变形 
添加和编辑文章前添加了类目验证

2013-08-16 1.1 发布
UI

  调整了系统UI

文章

  添加了文章附件管理
  添加了文章评论功能
  优化了发布和编辑功能
  提供了主图片设置和显示功能

论坛

  添加了发贴、回帖、置顶、取消置顶功能

会员

  添加了登录、注册、编辑资料、我的主题、我的回复、我的消息

系统

  添加了系统升级功能

站点

  添加了导航管理功能
  添加了首页幻灯片管理和显示

2013-07-08 1.0 beta 发布。
